Python
import requests
url = "https://app.langwatch.ai/api/roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/roles/{id} \
--header 'Authorization: Bearer <token>'{
"success": true
}Roles
Delete role
Delete a custom role. A role that anything still holds, a legacy team assignment or a role binding, answers 409 custom_role_in_use with the counts in meta.
DELETE
/
api
/
roles
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/roles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/roles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request DELETE \
--url https://app.langwatch.ai/api/roles/{id} \
--header 'Authorization: Bearer <token>'{
"success": true
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Minimum string length:
1Response
200 - application/json
Success
Was this page helpful?
⌘I